Bug 911356 - HDMI: kernel BUG at ../drivers/gpu/drm/radeon/dce3_1_afmt.c:110!
HDMI: kernel BUG at ../drivers/gpu/drm/radeon/dce3_1_afmt.c:110!
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
x86-64 openSUSE 13.2
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-29 21:35 UTC by Peter Münster
Modified: 2015-04-22 11:51 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Münster 2014-12-29 21:35:36 UTC
Hi,

When the HDMI connector is plugged into my ASUS EAH4350, the kernel prints this error:

Dec 27 15:39:45 media kernel: ------------[ cut here ]------------
Dec 27 15:39:45 media kernel: kernel BUG at ../drivers/gpu/drm/radeon/dce3_1_afmt.c:110!
Dec 27 15:39:45 media kernel: invalid opcode: 0000 [#1] PREEMPT SMP 
Dec 27 15:39:45 media kernel: Modules linked in: cx8800 cx88_dvb cx88_vp3054_i2c cx8802 cx88xx btcx_risc videobuf_dvb tveeprom videobuf_dma_sg dvb_core videobuf_core xt_pkttype xt_LOG xt_limit iscsi_ibft iscsi_boot_sysfs af_packet ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_raw ipt_REJECT iptable_raw xt_CT iptable_filter ip6table_mangle nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip_tables xt_conntrack nf_conntrack ip6table_filter ip6_tables x_tables xfs libcrc32c ts2020 ds3000 ir_lirc_codec lirc_dev ir_sony_decoder ir_sharp_decoder ir_jvc_decoder ir_rc6_decoder ir_sanyo_decoder ir_mce_kbd_decoder ir_rc5_decoder ir_nec_decoder rc_tevii_nec tuner raid0 md_mod snd_hda_codec_via snd_hda_codec_hdmi snd_hda_codec_generic ppdev pcspkr snd_hda_intel tbs6922fe(PO) tbs6928fe(PO)
Dec 27 15:39:45 media kernel:  tbs6991se(PO) tbs6290fe(PO) stv090x serio_raw snd_hda_controller kvm_amd kvm rc_core snd_hda_codec snd_hwdep v4l2_common videodev snd_pcm snd_timer k10temp parport_pc parport r8169 mii shpchp snd edac_core edac_mce_amd sp5100_tco asus_atk0110 i2c_piix4 acpi_cpufreq wmi soundcore button processor dm_mod sr_mod cdrom ata_generic btrfs xor raid6_pq radeon pata_atiixp i2c_algo_bit drm_kms_helper ttm ohci_pci drm sg [last unloaded: btcx_risc]
Dec 27 15:39:45 media kernel: CPU: 2 PID: 967 Comm: Xorg Tainted: P           O  3.16.7-7-desktop #1
Dec 27 15:39:45 media kernel: Hardware name: System manufacturer System Product Name/M4A77T, BIOS 2401    05/18/2011
Dec 27 15:39:45 media kernel: task: ffff8800cea86350 ti: ffff8800c1880000 task.ti: ffff8800c1880000
Dec 27 15:39:45 media kernel: RIP: 0010:[<ffffffffa0126c50>]  [<ffffffffa0126c50>] dce3_1_hdmi_setmode+0x570/0x5a0 [radeon]
Dec 27 15:39:45 media kernel: RSP: 0018:ffff8800c1883820  EFLAGS: 00010246
Dec 27 15:39:45 media kernel: RAX: 0000000000000000 RBX: ffff880128e6c000 RCX: 0000000000000023
Dec 27 15:39:45 media kernel: RDX: 0000000000000003 RSI: 0000000000000001 RDI: 000000000000000e
Dec 27 15:39:45 media kernel: RBP: ffff8800c9a1b800 R08: 0000000000000023 R09: ffff8800c3c4c780
Dec 27 15:39:45 media kernel: R10: ffff8800c3c4c794 R11: 0000000000000000 R12: 0000000000000400
Dec 27 15:39:45 media kernel: R13: ffff880122863e00 R14: ffff880128cbe800 R15: ffff880128e6c000
Dec 27 15:39:45 media kernel: FS:  00007f2fb059a8c0(0000) GS:ffff88012fc80000(0000) knlGS:0000000000000000
Dec 27 15:39:45 media kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Dec 27 15:39:45 media kernel: CR2: 00007f1b506b0650 CR3: 00000000cf2fb000 CR4: 00000000000007e0
Dec 27 15:39:45 media kernel: Stack:
Dec 27 15:39:45 media kernel:  ffff8800c1883848 ffff880128e6c000 ffff880128e6d62c 0000000000000202
Dec 27 15:39:45 media kernel:  ffff880000007810 0000000000000000 ffffffffa00f8462 ffff8800c9a1b800
Dec 27 15:39:45 media kernel:  ffff880128cbe800 0000000000000001 0000000000000202 ffffffffa012652b
Dec 27 15:39:45 media kernel: Call Trace:
Dec 27 15:39:45 media kernel:  [<ffffffffa00a6936>] drm_crtc_helper_set_mode+0x346/0x520 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffffa00a7678>] drm_crtc_helper_set_config+0x8a8/0xad0 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffffa00ede3f>] radeon_crtc_set_config+0x3f/0x110 [radeon]
Dec 27 15:39:45 media kernel:  [<ffffffffa001edc1>] drm_mode_set_config_internal+0x61/0xe0 [drm]
Dec 27 15:39:45 media kernel:  [<ffffffffa00a9a6b>] restore_fbdev_mode+0xab/0xd0 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffffa00a9aae>] drm_fb_helper_restore_fbdev_mode_unlocked+0x1e/0x30 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffffa00ab642>] drm_fb_helper_set_par+0x22/0x60 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffffa00ab5cb>] drm_fb_helper_hotplug_event+0x8b/0xe0 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffffa00ab65a>] drm_fb_helper_set_par+0x3a/0x60 [drm_kms_helper]
Dec 27 15:39:45 media kernel:  [<ffffffff813818ce>] fb_set_var+0x15e/0x3b0
Dec 27 15:39:45 media kernel:  [<ffffffff81378d0b>] fbcon_blank+0x1cb/0x2b0
Dec 27 15:39:45 media kernel:  [<ffffffff813f2a31>] do_unblank_screen+0xa1/0x1b0
Dec 27 15:39:45 media kernel:  [<ffffffff813e8fd3>] complete_change_console+0x53/0xe0
Dec 27 15:39:45 media kernel:  [<ffffffff813e9fa9>] vt_ioctl+0xf49/0x10d0
Dec 27 15:39:45 media kernel:  [<ffffffff813ddfdc>] tty_ioctl+0x26c/0xb70
Dec 27 15:39:45 media kernel:  [<ffffffff811cad17>] do_vfs_ioctl+0x2e7/0x4c0
Dec 27 15:39:45 media kernel:  [<ffffffff811caf71>] SyS_ioctl+0x81/0xa0
Dec 27 15:39:45 media kernel:  [<ffffffff81622a2d>] system_call_fastpath+0x1a/0x1f
Dec 27 15:39:45 media kernel:  [<00007f2fae8c6397>] 0x7f2fae8c6396
Dec 27 15:39:45 media kernel: Code: ff 48 8d 44 24 28 48 89 04 24 e9 fe fd ff ff 89 c2 48 c7 c6 4e fc 1d a0 48 c7 c7 10 ae 1a a0 31 c0 e8 85 22 ef ff e9 b2 fb ff ff <0f> 0b 89 c2 48 c7 c6 f8 61 1d a0 48 c7 c7 40 ae 1a a0 31 c0 e8 
Dec 27 15:39:45 media kernel: RIP  [<ffffffffa0126c50>] dce3_1_hdmi_setmode+0x570/0x5a0 [radeon]
Dec 27 15:39:45 media kernel:  RSP <ffff8800c1883820>
Dec 27 15:39:45 media kernel: ---[ end trace 173d8d77b3efd38b ]---

Graphics is not working.

Workaround: openSUSE-13.1

Peter
Comment 1 Takashi Iwai 2014-12-31 16:27:10 UTC
Did this happen with openSUSE 13.2 GM kernel?  There have been a few radeon-HDMI related backports since 13.2 GM, and my concern is the regression by them.

Also, check kernels in OBS Kernel:openSUSE-13.2 and Kernel:stable repos.  The former is the latest openSUSE 13.2 git branch and the latter is the latest stable kernel package.
Comment 2 Peter Münster 2014-12-31 16:56:46 UTC
(In reply to Takashi Iwai from comment #1)

> Did this happen with openSUSE 13.2 GM kernel?

I don't know, if the kernel was the GM kernel. I've installed from DVD and then "zypper -n up -l".


> Also, check kernels in OBS Kernel:openSUSE-13.2 and Kernel:stable repos. 
> The former is the latest openSUSE 13.2 git branch and the latter is the
> latest stable kernel package.

Can I use these kernels with opensuse-13.1? Could you provide please links to the kernels, that I should test at first?

TIA, Peter
Comment 3 Takashi Iwai 2014-12-31 17:41:29 UTC
(In reply to Peter Münster from comment #2)
> (In reply to Takashi Iwai from comment #1)
> 
> > Did this happen with openSUSE 13.2 GM kernel?
> 
> I don't know, if the kernel was the GM kernel. I've installed from DVD and
> then "zypper -n up -l".

You should try downgrade to openSUSE 13.2 GM kernel for checking it.

> > Also, check kernels in OBS Kernel:openSUSE-13.2 and Kernel:stable repos. 
> > The former is the latest openSUSE 13.2 git branch and the latter is the
> > latest stable kernel package.
> 
> Can I use these kernels with opensuse-13.1? Could you provide please links
> to the kernels, that I should test at first?

Yes, the newer kernels should work on openSUSE 13.1 system, too.
You can find them in OBS, e.g. http://download.opensuse.org/repositories/Kernel:/openSUSE-13.2/standard/
Comment 4 Peter Münster 2014-12-31 20:31:22 UTC
(In reply to Takashi Iwai from comment #3)
 
> You should try downgrade to openSUSE 13.2 GM kernel for checking it.

Ok. Where can I find it? Is it this one: kernel-desktop-3.16.6-2.1.x86_64.rpm ?

 
> You can find them in OBS, e.g.
> http://download.opensuse.org/repositories/Kernel:/openSUSE-13.2/standard/

That means, I should try kernel-desktop-3.16.7-23.1.g99d827e.x86_64.rpm ?

The kernel with the error seems to be kernel-desktop-3.16.7-7.1.x86_64.rpm

Peter
Comment 5 Takashi Iwai 2015-01-01 08:07:27 UTC
(In reply to Peter Münster from comment #4)
> (In reply to Takashi Iwai from comment #3)
>  
> > You should try downgrade to openSUSE 13.2 GM kernel for checking it.
> 
> Ok. Where can I find it? Is it this one:
> kernel-desktop-3.16.6-2.1.x86_64.rpm ?

Yes.

> > You can find them in OBS, e.g.
> > http://download.opensuse.org/repositories/Kernel:/openSUSE-13.2/standard/
> 
> That means, I should try kernel-desktop-3.16.7-23.1.g99d827e.x86_64.rpm ?

Yes.  It's just to be sure.  This will give the same error very likely.

A rather more interesting test is the latest stable kernel in OBS Kernel:stable repo.
Comment 6 Peter Münster 2015-01-01 10:35:21 UTC
(In reply to Takashi Iwai from comment #5)

> > Ok. Where can I find it? Is it this one:
> > kernel-desktop-3.16.6-2.1.x86_64.rpm ?
> 
> Yes.

kernel-desktop-3.16.6-2.1.x86_64.rpm: kernel panic (reboot in 90s)

 
> A rather more interesting test is the latest stable kernel in OBS
> Kernel:stable repo.

kernel-desktop-3.18.1-1.1.g5f2f35e.x86_64.rpm: same error on line 110

Peter
Comment 7 Takashi Iwai 2015-01-01 15:12:52 UTC
OK, this looks like a bug that hasn't been resolved in the upstream.  We need to report it to upstream.

But before that, could you try radeon-kmp in OBS home:tiwai:bnc911356/radeon repo?  This should avoid the kernel panic at least.  It's not sure whether this makes things all working, though.

The packages are being built now, so wait for a while until builds are finished and published.
Comment 8 Peter Münster 2015-01-02 19:28:07 UTC
(In reply to Takashi Iwai from comment #7)
> 
> The packages are being built now, so wait for a while until builds are
> finished and published.

Great, thanks! HDMI is working now.

(doing a zypper dup to 13.2 now...)

Peter
Comment 9 Takashi Iwai 2015-01-03 09:23:26 UTC
Thanks for testing.  I submitted the patch to upstream, and will backport to openSUSE kernels once if it's accepted by upstream.
Comment 10 Takashi Iwai 2015-01-08 13:51:32 UTC
I backported the upstream fix (which is pretty identical with my patch) to openSUSE-13.2 and stable git branches now.
Comment 11 Swamp Workflow Management 2015-04-13 12:12:05 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2